using System;
using System.Data;
using System.Collections;
using System.Collections.Specialized;
using System.Web;
using System.Web.UI;
using System.Text;
using BoyunBase;
using SiteCore;

public partial class Part_PageCounter : System.Web.UI.UserControl
{
    protected void Page_Load( object sender, EventArgs e )
    {
        try {
            if( IsPostBack ) return;

            PartAccess pAcs = new PartAccess( this );
            if( !pAcs.IsReady ) return;

            string sNum = pAcs.GetPageAccessCount().ToString();
            if( sNum.Length < 1 ) return;

            StringBuilder sb = new StringBuilder(32);
            foreach( char n in sNum ) {
                sb.Append( "<span class=\"num _" + n + "\"></span>" );
            }

            //string note = pAcs.GetSetting( "note" );
            //labCounter.Text = note + iNum.ToString();
            ltrCount.Text = sb.ToString();

        } catch( Exception ex ) {
            Todo.DebugOut( "¼ÓÔØ Part_PageCounter ³öÏÖÒì³££º" + ex.Message );
        }
    }
}
